Subject: bug#5000: 23.1.50; empty string not allowed as line-prefix

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Nov 2009 22:49:23 -0500

> - open a new buffer in fundamental mode, no auto-fill-mode
> - insert a long line that will be wrapped for display into two or more
>   lines.
> - insert the following form into the buffer, after the long line

>    (add-text-properties (point-min) (point) '(line-prefix ""))

> - evaluate this form

> Expected result:  No change in display
> Actual result:  The formerly wrapped line is no longer wrapped but
> displayed as if truncate-lines had been set (it is not set)

Isn't this the feature you were asking for?  ;-)

        Stefan

PS: You've won a special prize for submitting bug number 5000.